Create folder
Base URL
POST
https://v1.empr.cloud/api/v1/folders
Request
Request headers
Prop
Type
Request body
Prop
Type
Request examples
const url = "https://v1.empr.cloud/api/v1/folders"; const body = { "folder_name": "Google Accounts", "folder_icon": "Google", "folder_color": "#3366FF3D"}const options = { method: "POST", headers: { "X-Token": "Your Token", "Content-Type": "application/json" }, body: JSON.stringify(body)};fetch(url, options) .then((response) => { response.json().then((data) => { console.log(data); }); }) .catch((error) => { console.error(error); });import requestsurl = 'https://v1.empr.cloud/api/v1/folders' body = { "folder_name": "Google Accounts", "folder_icon": "Google", "folder_color": "#3366FF3D"}headers = { 'X-Token': 'Your Token', 'Content-Type': 'application/json'}response = requests.post(url, headers=headers, json=body)print(response.json())<?php$url = "https://v1.empr.cloud/api/v1/folders";$token = "Your Token"; $body = '{ "folder_name": "Google Accounts", "folder_icon": "Google", "folder_color": "#3366FF3D"}';$headers = array( 'X-Token: '.$token, 'Content-Type: application/json');$ch = curl_init();curl_setopt($ch, CURLOPT_URL, $url);curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);curl_setopt($ch, CURLOPT_POSTFIELDS, $body);$data = curl_exec($ch);if (curl_errno($ch)) { print "Error: " . curl_error($ch);} else { var_dump($data); curl_close($ch);}?>// Requires tokio with features = ["macros", "rt-multi-thread"]// Requires reqwest with features = ["json"]// Requires serde_json#[tokio::main]async fn main() { let url = "https://v1.empr.cloud/api/v1/folders"; let token = "Token"; let body = serde_json::json!( { "folder_name": "Google Accounts", "folder_icon": "Google", "folder_color": "#3366FF3D" } ); let client = reqwest::Client::new(); let response = client .post(url) .header("X-Token", token) .json(&body) .send() .await .expect("Failed to send request") .json::<serde_json::Value>() .await .expect("Failed to parse response"); dbg!(response);}package mainimport ( "bytes" "io" "net/http")func main() { url := "https://v1.empr.cloud/api/v1/folders" token := "Your Token" body := []byte(` { "folder_name": "Google Accounts", "folder_icon": "Google", "folder_color": "#3366FF3D" } `) client := http.Client{} req, err := http.NewRequest("POST", url, nil) if err != nil { panic(err) } req.Header.Add("X-Token", token) req.Header.Add("Content-Type", "application/json") req.Body = io.NopCloser(bytes.NewReader(body)) resp, err := client.Do(req) if err != nil { panic(err) } defer resp.Body.Close() body, _ := io.ReadAll(resp.Body) println(string(body))}var url = "https://v1.empr.cloud/api/v1/folders";var token = "Your Token"; var body = """{ "folder_name": "Google Accounts", "folder_icon": "Google", "folder_color": "#3366FF3D"}"""var client = new HttpClient();client.DefaultRequestHeaders.Add("X-Token", token);client.DefaultRequestHeaders.Add("Content-Type", "application/json");var contentBody = new StringContent(body, Encoding.UTF8, "application/json");var response = await client.PostAsync(url, contentBody);var content = await response.Content.ReadAsStringAsync();Console.WriteLine(content);Response
Response data
Prop
Type
Response example
{
"data": [
{
"id": "cf4003e0-e630-4bc3-9961-61d81c2f3aa5",
"owner": "28a3abfc-6892-4dd0-a4f1-57b449851865",
"folder_name": "Google Accounts",
"folder_icon": "Google",
"folder_color": "#3366FF3D",
"created_at": "2023-06-22T17:35:58.373758Z",
"updated_at": "2023-06-22T17:35:58.373758Z",
"deleted_at": null
},
]
}Types
Prop
Type